Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## waba.ui
Class Calendar

    java.lang.Object
      |
      +--waba.ui.Control
            |
            +--waba.ui.Container
                  |
                  +--waba.ui.Window
                        |
                        +--waba.ui.Calendar

public class Calendar
extends Window

The Calendar class is a mimic of the palms Calendar. It looks and functions the basically the same. It uses the Date class for all operations.
Guich made some modifications to it act like an Window. Instead of create a new instance (which consumes memory), you may use the Edit's static field calendar Added by Allan C. Solomon

Field Summary
`boolean` | `canceled` True if the user had canceled without selecting

Fields inherited from class waba.ui.Window
`beepIfOut, borderStyle, canDrag, eraseBackgroundNow, flicker, HIDE_STATE, highResPrepared, imgCovered, lastSwappedContainer, mainSwapContainer, menubar, needsPaint, NO_BORDER, RECT_BORDER, ROUND_BORDER, TAB_BORDER, TAB_ONLY_BORDER, title, titleFont, topMost, VK_BOTTOM, VK_HIDE, VK_TOP, zStack`

Fields inherited from class waba.ui.Container
`BORDER_LOWERED, BORDER_NONE, BORDER_RAISED, BORDER_SIMPLE, children, lastH, lastW, lastX, lastY, parentWindow, tail`

Fields inherited from class waba.ui.Control
`AFTER, appId, asContainer, asWindow, backColor, backDis, BEFORE, BOTTOM, CENTER, enabled, FILL, FIT, fm, fmH, focusLess, font, foreColor, foreDis, height, LEFT, parent, PREFERRED, RANGE, RIGHT, SAME, TOP, visible, width, x, x2, y, y2`

Constructor Summary
`Calendar()` Constructs Calendar set to the current day.

Method Summary
`Date` | `getSelectedDate()` Returns selected Date.
`protected boolean` | `onClickedOutside(int x, int y)` called when the user clicks outside the bounds of this window. must return true if the event was handled, false otherwise.
`void` | `onEvent(Event event)` Called to process key, pen, control and other posted events.
`protected void` | `onFontChanged()` Called after a setFont
`void` | `onPaint(Graphics g)` Draws the border (if any).
`protected void` | `onPopup()` Placeholder called imediatly before the popup began. the default implementation does nothing.
`void` | `setSelectedDate(Date d)` sets the current day to the Date specified. if its null, sets the date to today.

Methods inherited from class waba.ui.Window
`_doPaint, _doPaint, _postEvent, damageRect, destroyZStack, dontSaveBehind, getClientRect, getFocus, getOffScreen, getPreferredHeight, getPreferredWidth, getTopMost, isTopMost, isVisible, loadBehind, makeUnmovable, onUnpop, paintTitle, popupBlockingModal, popupMenuBar, popupModal, postPopup, postUnpop, pumpEvents, saveBehind, setBorderStyle, setDoubleBuffer, setFocus, setMenuBar, setStatePosition, setTitle, setTitleFont, swap, unpop`

Methods inherited from class waba.ui.Container
`add, add, add, broadcastEvent, findChild, getChildren, onColorsChanged, onStart, paintChildren, remove, setEnabled`

Methods inherited from class waba.ui.Control
`addTimer, contains, createGraphics, getAbsoluteRect, getBackColor, getFont, getFontMetrics, getForeColor, getNext, getParent, getParentWindow, getPos, getRect, getSize, isDisplayed, isEnabled, onBoundsChanged, onWindowPaintFinished, postEvent, removeTimer, repaint, repaintNow, requestFocus, setBackColor, setBackForeColors, setFocusLess, setFont, setForeColor, setRect, setRect, setRect, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### canceled

    public boolean canceled

  True if the user had canceled without selecting

Constructor Detail

### Calendar

    public Calendar()

  Constructs Calendar set to the current day.

Method Detail

### getSelectedDate

    public Date getSelectedDate()

  Returns selected Date.
  Returns:
    Date object set to the selected day.

### setSelectedDate

    public void setSelectedDate(Date d)

  sets the current day to the Date specified. if its null, sets the date to today.

### onEvent

    public void onEvent(Event event)

  Description copied from class: Control
  Called to process key, pen, control and other posted events.
  Overrides:
    onEvent in class Control
  Tags copied from class: Control
  Parameters:
    `event` - the event to process
  See Also:
    `Event`, `KeyEvent`, `PenEvent`

### onClickedOutside

    protected boolean onClickedOutside(int x,
                                       int y)

  Description copied from class: Window
  called when the user clicks outside the bounds of this window. must return true if the event was handled, false otherwise. If false is returned and `beepIfOut` is true, then a beep is played and nothing more happens.
  Overrides:
    onClickedOutside in class Window

### onPaint

    public void onPaint(Graphics g)

  Description copied from class: Container
  Draws the border (if any). If you override this method, be sure to call `super.onPaint(g);`, or the border will not be drawn.
  Overrides:
    onPaint in class Container
  Tags copied from class: Control
  Parameters:
    `g` - the graphics object for drawing
  See Also:
    `Graphics`

### onPopup

    protected void onPopup()

  Description copied from class: Window
  Placeholder called imediatly before the popup began. the default implementation does nothing.
  Overrides:
    onPopup in class Window

### onFontChanged

    protected void onFontChanged()

  Description copied from class: Control
  Called after a setFont
  Overrides:
    onFontChanged in class Control

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD